This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 512238 - [LTC 5.5 FEAT] SBLIM-HBA providers for RHEL 5.5 [201956]
[LTC 5.5 FEAT] SBLIM-HBA providers for RHEL 5.5 [201956]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sblim (Show other bugs)
5.5
All All
medium Severity medium
: beta
: 5.5
Assigned To: Vitezslav Crhonek
BaseOS QE
: FutureFeature, OtherQA
Depends On: 512230
Blocks: 533941 557292 481160 525691
  Show dependency treegraph
 
Reported: 2009-07-16 15:10 EDT by IBM Bug Proxy
Modified: 2010-10-18 15:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 54851 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-07-16 15:10:48 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201956]
a. Name of Feature:	SBLIM-HBA providers for RHEL 5.5
b. Feature Description
SMI-S based HBA providers for Storage Management

Additional Comments:	sblim-hba provider is already available at sblim.org

2. Feature Details:
Sponsor:	LTC Systems Mgt
Architectures:
x86_64
ppc64
s390x

Arch Specificity: Purely Common Code
Delivery Mechanism: Web Download
Category:	Systems management
Request Type:	Package - New
d. Upstream Acceptance:	Accepted
Sponsor Priority	3
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	RHEL5.5 ( RHEL5 U5 )

3. Business Case
SBLIM Provider package for storage management.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com

Technical contact(s):
Narasimha Sharoff, nsharoff@us.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 3 Vitezslav Crhonek 2009-10-27 08:26:58 EDT
sblim-smis-hba requires headers and routines defined in hbaapi package:

http://hbaapi.sourceforge.net/

Probably just libHBAAPI.so and hbaapi.h is needed. We do not have this stuff in RHEL (and Fedora) AFAIK.

hbaapi package is under SNIA Public License (https://fedoraproject.org/wiki/Licensing/SNIA_Public_License), which is FSF Free and is not GPLv2/GPLv3 compatible.
Comment 5 John Jarvis 2009-10-27 09:54:47 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 7 Chris Ward 2010-02-11 05:21:53 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 8 IBM Bug Proxy 2010-02-22 12:40:39 EST
------- Comment From nsharoff@us.ibm.com 2010-02-22 12:32 EDT-------
System: x86, Netfinity 6000R
Running RHEL5.4 , 2.6.18-164.el5 #1 kernel.

Verified that the version of the package is correct.

Verified that the the package installs succesfully.

# rpm -qa |grep libhba
libhbaapi-2.2-4.el5

# rpm -qa |grep sblim-smis
sblim-smis-hba-1.0.0-39.el5
Comment 10 errata-xmlrpc 2010-03-30 04:21:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0231.html

Note You need to log in before you can comment on or make changes to this bug.